<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('label.instruction.report.definition.add.clone')}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2">
				<h:outputText value="#{facesContext.translate('label.template.report.copyfrom')}" />
				<p:selectOneMenu id="report" value="#{reportModel.reportjson}" filter="true" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.template.report.copyfrom')}">
					<f:selectItem itemValue="" itemLabel="#{facesContext.translate('button.choose')}" />
					<f:selectItems value="#{reportModel.reports}" var="r" itemValue="#{r.toJson()}" itemLabel="#{r.name}" />
				</p:selectOneMenu>
				<h:outputText value="#{facesContext.translate('label.name')}" />
				<p:inputText id="name" value="#{reportModel.name}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.name')}" />
				<h:outputText value="" />
				<p:selectBooleanCheckbox id="template" value="#{reportModel.asTemplate}" itemLabel="#{facesContext.translate('label.astemplate')}" />
			</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_approve" action="#{reportController.doCloneReport}" value="#{facesContext.translate('button.approve')}" ajax="false" />
			<p:commandButton id="btn_cancel" action="#{reportController.toWelcomeByAbort}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>